%h3.page-title
  = t("profiles.profile_settings")
%p.light
  = t("profiles.this_info_appears_on_profile")
  - if current_user.ldap_user?
    = t("profiles.some_options_unavailable_for_LDAP_accounts")
%hr

= form_for @user, url: profile_path, method: :put, html: { multipart: true, class: "edit_user form-horizontal" }, authenticity_token: true do |f|
  -if @user.errors.any?
    %div.alert.alert-danger
      %ul
        - @user.errors.full_messages.each do |msg|
          %li= msg
  .row
    .col-md-7
      .form-group
        = f.label :name, t("profiles.name"), class: "control-label"
        .col-sm-10
          = f.text_field :name, class: "form-control", required: true
          %span.help-block
            = t("profiles.enter_name")

      .form-group
        = f.label :email, t("profiles.emails.email"), class: "control-label"
        .col-sm-10
          - if @user.ldap_user?
            = f.text_field :email, class: "form-control", required: true, readonly: true
            %span.help-block.light
              = t("profiles.email_read_only_for_LDAP_user")
          - else
            - if @user.temp_oauth_email?
              = f.text_field :email, class: "form-control", required: true, value: nil
            - else
              = f.text_field :email, class: "form-control", required: true
            - if @user.unconfirmed_email.present?
              %span.help-block
                = t("profiles.click_link_in_confirmation_email")
                %strong #{@user.unconfirmed_email}
            - else
              %span.help-block
                = t("profiles.we_use_email_avatar_detection_if_no_avatar")
      .form-group
        = f.label :skype, t("users.skype"), class: "control-label"
        .col-sm-10= f.text_field :skype, class: "form-control"
      .form-group
        = f.label :linkedin, t("users.linkedIn"), class: "control-label"
        .col-sm-10= f.text_field :linkedin, class: "form-control"
      .form-group
        = f.label :twitter, t("users.twitter"), class: "control-label"
        .col-sm-10= f.text_field :twitter, class: "form-control"
      .form-group
        = f.label :website_url, t("users.website"), class: "control-label"
        .col-sm-10= f.text_field :website_url, class: "form-control"
      .form-group
        = f.label :bio, t("users.bio"), class: "control-label"
        .col-sm-10
          = f.text_area :bio, rows: 6, class: "form-control", maxlength: 250
          %span.help-block
            = t("profiles.tell_about_yourself")

    .col-md-5
      .light-well
        = image_tag avatar_icon(@user.email, 160), alt: '', class: 'avatar s160'

        .clearfix
          .profile-avatar-form-option
            %p.light
              - if @user.avatar?
                = t("profiles.change_your_avatar_here")
                %br
                = t("profiles.remote_current_avatar")
                = link_to "gravatar.com", "http://gravatar.com"
              - else
                = t("profiles.upload_avatar_here")
                %br
                = t("profiles.change_it_at")
                = link_to "gravatar.com", "http://gravatar.com"
            %hr
            %a.choose-btn.btn.btn-small.js-choose-user-avatar-button
              %i.icon-paper-clip
              %span
                = t("profiles.choose_file")
            &nbsp;
            %span.file_name.js-avatar-filename
              = t("profiles.file_name")
            = f.file_field :avatar, class: "js-user-avatar-input hidden"
            .light
              = t("profiles.max_file_size_allowed_100KB")
            - if @user.avatar?
              %hr
              = link_to t("profiles.remove_avatar"), profile_avatar_path, data: { confirm: t("profiles.avatar_will_be_removed_sure")}, method: :delete, class: "btn btn-remove btn-small remove-avatar"

      - if @user.public_profile?
        .bs-callout.bs-callout-info
          %h4
            = t("profiles.public_profile")
          %p
            = t("profiles.profile_is_publicly_visible")


  .form-actions
    = f.submit t("profiles.save_changes"), class: "btn btn-save"
